/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
*****************      CREATED BY KRÜPPEL KRÜGER FOR TECHNIKER CLASS FET10     ****************************
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

 Mbed soll durch drücken von vordefinierten Tasten LED´s einschalten bzw. abschalten.

Anzeige über TeraTerm    NICHT VERGESSEN: Mbed serial USB Treiber für Windows installieren bei MBED.ORG downloaden
sonst könnt Ihr das USB Kabel nicht als Serielle Übertragung nutzen

Download Link:

http://mbed.org/handbook/Windows-serial-configuration&prev=/search%3Fq%3Dhttp://mbed.org/handbook/Serial%26hl%3Dde%26prmd%3Divnsfd&rurl=translate.google.de&twu=1&usg=ALkJrhgmwJACt0SJCk1O9Z7YFiUyijpNBg
              
Programmbeschreibung:
                 
Drück die Taste 1 dann LED 1 an/aus
Drück die Taste 2 dann LED 2 an/aus
Drück die Taste 3 dann LED 3 an/aus
Drück die Taste 4 dann LED 4 an/aus

Erweiterung 1:
                Zentral Funktion alle LED´s aus taste 0
Erweiterung 2:
                Zentral Funktion alle LED´s ein Taste 9
Erweiterung 3:  
                nach drücken der Taste T werden 2 LED´s ein/ ausgecshaltet und der Text Moin Timmi Boy ausgegeben
*/

#include "mbed.h"                      //ist die Headerdatei    wie unsere EIGENEHEADERDATEI aus der Schule

DigitalOut myled1(LED1);                // 
DigitalOut myled2(LED2);                //  Ausgänge die angesteuert werden sollen
DigitalOut myled3(LED3);                //
DigitalOut myled4(LED4);                //

Serial pc(USBTX, USBRX);                // ist der Serial Port zum Computer via unser USB Kabel ohne eine serielle Schnittstelle anlöten zu müssen

void DecodeInput(char input);           //
void OffAllLeds(void);                  //
void OnAllLeds(void);                   //

int main()                              // hier fängt das eigentliche Programm an bzw. hier fangen wir an zu befehlen
 {
    char input = 'Z';
    pc.printf("Warte auf Befehle...\r\n");              //gibt Info raus das der Controller bereit ist
    
    while(1){
        input = pc.getc();                                     //Benutzer Eingaben
        pc.printf("Received: %c\r\n", input);              
        DecodeInput(input);                                    //führe benutzerdefinierende Aktion aus
    }
}

void DecodeInput(char input)
{
    switch(input)
    {
        case '1':   myled1 = !myled1.read();                  // Tase 1 schaltet LED1 ein/aus .read steht für auslesen des Zustandes
                    break;                                    //pausiert solange bis zur nächsten Eingabe
        case '2':   myled2 = !myled2.read();
                    break;
        case '3':   myled3 = !myled3.read();
                    break;
        case '4':   myled4 = !myled4.read();
                    break;
        case '0':    OffAllLeds();
                    break;
        case '9':   OnAllLeds();
                    break;     
        case 't':   myled1 = !myled1.read();                //
                    myled2 = !myled2.read();                //   schaltet LED1 und LED2 ein/aus und gibt den Text auf Teraterm wieder
       pc.printf("Moin Timmi Boy\r\n");                    //
                    break;
          
    }
}

void OffAllLeds()
{
    myled1 = 0;
    myled2 = 0;
    myled3 = 0;
    myled4 = 0;
 }   
void OnAllLeds()
{
    myled1 = 1;
    myled2 = 1;
    myled3 = 1;
    myled4 = 1;
    
    return;
}